Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.messages
Class ActMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.messages.ActMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ACLMessage, KQMLMessage

    public class ActMessage

extends Message

This class describes an generic speech act message.

Version:
  1.1
Author:
  Ol. Gutknecht
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `action`
`protected java.util.Hashtable<java.lang.String,java.lang.Object>` | `fields`

Constructor Summary
`ActMessage(java.lang.String actiontype)` Constructor for GenericMessage class
`ActMessage(java.lang.String actiontype, java.lang.Object obj)`
`ActMessage(java.lang.String actiontype, java.lang.String cont)`
`ActMessage(java.lang.String actiontype, java.lang.String cont, java.lang.Object obj)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getContent()`
`java.lang.Object` | `getFieldValue(java.lang.String key)`
`java.lang.String` | `getInReplyTo()`
`java.util.Enumeration<java.lang.String>` | `getKeys()`
`java.lang.Object` | `getObject()`
`void` | `setContent(java.lang.String s)`
`void` | `setField(java.lang.String key, java.lang.Object value)`
`void` | `setInReplyTo(java.lang.String s)`
`void` | `setObject(java.lang.Object s)`

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### action

    protected java.lang.String action

### fields

    protected java.util.Hashtable<java.lang.String,java.lang.Object> fields

Constructor Detail

### ActMessage

    public ActMessage(java.lang.String actiontype)

  Constructor for GenericMessage class

### ActMessage

    public ActMessage(java.lang.String actiontype,
                      java.lang.String cont)

### ActMessage

    public ActMessage(java.lang.String actiontype,
                      java.lang.Object obj)

### ActMessage

    public ActMessage(java.lang.String actiontype,
                      java.lang.String cont,
                      java.lang.Object obj)

Method Detail

### getAction

    public java.lang.String getAction()

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String s)

### getObject

    public java.lang.Object getObject()

### setObject

    public void setObject(java.lang.Object s)

### getKeys

    public java.util.Enumeration<java.lang.String> getKeys()

### setField

    public void setField(java.lang.String key,
                         java.lang.Object value)

### getFieldValue

    public java.lang.Object getFieldValue(java.lang.String key)

### getInReplyTo

    public java.lang.String getInReplyTo()

### setInReplyTo

    public void setInReplyTo(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.